# Building Rust doc

Follow the instructions below to build the Rust doc yourself from the source code.

{% hint style="info" %}
In this documentation, we refer to the project directory as `/home/builder/zkpass-sdk`. This path is used as an example that represents the root directory of the cloned`zkpass-sdk`repository on your local system. When following these instructions, please substitute `/home/builder/zkpass-sdk`with the actual path to your project's root directory.
{% endhint %}

## <mark style="color:blue;">**Generating the Rust doc**</mark>

To generate the zkpass-client lib documentation locally, do the following:

```bash
cd ~/zkpass-sdk/rust
cargo doc -p dvr_types --no-deps --open
```

After completing these steps, the documentation will automatically open on a browser or you can find the generated documentation in the `~/rust/target/doc` directory within the crate's source code directory.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gl-docs.gitbook.io/zkpass/zkpass-developers-guide/api-reference/rust/building-rust-doc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
